Retrieve Available Auth Config for System and Entity Type
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available/{systemName}/auth/{entityType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available/{systemName}/auth/{entityType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available/{systemName}/auth/{entityType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"empty": true
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve Available Auth Config for System and Entity Type
Retrieve the valid auth config for provided system and entity type.
GET
/
organizations
/
{orgId}
/
integrationconfigs
/
available
/
{systemName}
/
auth
/
{entityType}
Retrieve Available Auth Config for System and Entity Type
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
The system to retrieve the configuration for.
The entity to retrieve the configuration for.
Response
Return the available auth config
⌘I